#include "KMotionDef.h"
#include "CorrectAnalogFunction.c"

#define RPM_FACTOR 24000.0 // RPM for full duty cycle (max analog out)

// desired speed is passed in variable 1

#define CASE_PRESSURE 49	// IO bit to apply 10 psi spindle case pressure (KONNECT OUTPUT 1)

main()
{	
	SetBit(CASE_PRESSURE); //Turn on positive case pressure
	SetBit(0);	//Relay driver CW set to on
	ClearBit(1);	//Relay driver CCW set to off
	

	float speed = 9000;  // value stored is actually a float 
					  // set to zero to stop spindle (S20000)
	
	FPGA(KAN_TRIG_REG)=4;  			// Mux PWM0 to JP7 Pin5 IO 44 for KSTEP 
	SetBitDirection(44,1);  		// define bit as an output
	FPGA(IO_PWMS_PRESCALE) = 46;  	// divide clock by 46 (1.4 KHz)
	FPGA(IO_PWMS+1) = 1;  			// Enable
	
	FPGA(IO_PWMS) = CorrectAnalog(speed/RPM_FACTOR);  	// Set PWM
	
	
}
