#include "KMotionDef.h"
#include "SimpleHomeIndexFunction.c" 

#define TMP 10 // which spare persist to use to transfer data
#include "KflopToKMotionCNCFunctions.c"

#define Zaxis 2

// Start Paste
main()
{
	
	int FixtureIndex,Units, TWORD, HWORD, DWORD;
	double NewToolLength,OriginOffsetZ,AxisOffsetZ;
	double Machinex,Machiney,Machinez,Machinea,Machineb,Machinec;
	
	
	// Move Z axis to touch plate
	
	Jog(2,-100);          // start moving
	while (!ReadBit(1032)); // wait for switch (input #8) to change
	Jog(2,0);		      // stop

	// Move Back

   	int j;
    float dist_to_move=50.0f;
    
        MoveRel(2,dist_to_move);
        while (!CheckDone(2));
        
    Jog(2,-20);          // start moving
	while (!ReadBit(1032)) ; // wait for switch (input #8) to change
	Jog(2,0);		      // stop	
	


	GetMiscSettings(&Units, &TWORD, &HWORD, &DWORD);

	GetFixtureIndex(&FixtureIndex);

	GetOriginOffset(&OriginOffsetZ, FixtureIndex, Zaxis);

	GetAxisOffset(&AxisOffsetZ, Zaxis);
	
	GetMachine(&Machinex,&Machiney,&Machinez,&Machinea,&Machineb,&Machinec);

	// Compute Tool Offset to make DRO zero when Tool Length selected and enabled
	//
	// Since Machine = DRO + OriginOffset + AxisOffset + ToolOffset
	//
	// Set DRO = 0 and solve for ToolOffset
	//
	NewToolLength = RoundToReasonable(Machinez - OriginOffsetZ - AxisOffsetZ,Units);

	// Change Currently Selected Tool Length
	SetToolLength(TWORD,NewToolLength);
	
	
	Delay_sec(1);
	
	
	// Move up

   	int j;
    float dist_to_move=6834.646f;
    
        MoveRel(2,dist_to_move);
        while (!CheckDone(2)) ;		
	
	
	
}