#include "KMotionDef.h"

#define TMP 10 // which spare persist to use to transfer data
#include "KflopToKMotionCNCFunctions.c"

#define THERMAL_SWITCH 1040
#define ZAXIS 2
#define SAFE_Z_HEIGHT 0


// assume KStep Relay Output #0 is CW and Relay Output #1 is CCW

main()
{
	if (!ReadBit(THERMAL_SWITCH)) // only execute if switch open
	{
		StopCoordinatedMotion(); // Feedhold
        DoPC(PC_COMM_HALT); // Halt KMotionCNC

		while (JOB_ACTIVE) ; //wait until halt

		ClearBit(0); // turn spindle off
		ClearBit(1);
		
		//move to safe Z
		Move(ZAXIS,SAFE_Z_HEIGHT);
		while (!CheckDone(ZAXIS));
		printf("SafeZ\n");

		printf("Spindle thermal cutout switch activated!\n");
		MsgBox("Spindle thermal cutout switch activated!\n", MB_ICONHAND | MB_OK);
		return 1;
	}
}
